Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
S_usb_as_interface_descriptor Struct Reference

Audio Streaming Interface Descriptors pp 4.9. More...

`#include <usb_descriptors.h>`

## Data Fields
U8 | bLength
U8 | bDescriptorType
U8 | bInterfaceNumber
U8 | bAlternateSetting
U8 | bNumEndpoints
U8 | bInterfaceClass
U8 | bInterfaceSubclass
U8 | bInterfaceProtocol
U8 | iInterface

## Detailed Description

Audio Streaming Interface Descriptors pp 4.9.

USB Sampling rate Converter Unit descriptor pp 4.7.2.9 USB Effects Unit descriptor pp 4.7.2.10 USB Parametric Equalizer Section Effect Unit descriptor pp 4.7.2.10.1 USB Reverberation Effect Unit descriptor pp 4.7.2.10.2 USB Modulation Delay Effect Unit descriptor pp 4.7.2.10.3 USB Dynamic Range Compressor Effect Unit descriptor pp 4.7.2.10.4 USB Processing Unit descriptor pp 4.7.2.11 USB Up/Down-mix Processing Unit descriptor pp 4.7.2.11.1 USB Dolby Prologic Processing Unit descriptor pp 4.7.2.11.2 USB Stereo Extender Processing Unit descriptor pp 4.7.2.11.3 USB Extension Unit descriptor pp 4.7.2.12 Audio Contro Endpoint Descriptors pp 4.8 USB AC Control Endpoint Descriptors pp 4.8.1 Standard AC Control Endpoint Descriptor pp 4.8.1.1 Class-Specific AC Control Endpoint Descriptor pp 4.8.1.2 AC Interrupt Endpoint Descriptors pp 4.8.2 Standard AC Interrupt Endpoint Descriptors pp 4.8.2.1 Class-Specific AC Interrupt Endpoint Descriptor pp 4.8.2.2USB Standard AS interface Descriptor pp 4.9.1

## Field Documentation

U8 S_usb_as_interface_descriptor::bAlternateSetting

U8 S_usb_as_interface_descriptor::bDescriptorType

U8 S_usb_as_interface_descriptor::bInterfaceClass

U8 S_usb_as_interface_descriptor::bInterfaceNumber

U8 S_usb_as_interface_descriptor::bInterfaceProtocol

U8 S_usb_as_interface_descriptor::bInterfaceSubclass

U8 S_usb_as_interface_descriptor::bLength

U8 S_usb_as_interface_descriptor::bNumEndpoints

U8 S_usb_as_interface_descriptor::iInterface

The documentation for this struct was generated from the following file:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/usb_descriptors.h